Skip to main content

Contact EMV Purchase


This use case processes a PIN debit purchase with contact EMV when the customer inserts the card into the terminal.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABC123",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "networkRoutingOrder": "VMHF"  },  "paymentInformation": {    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "202.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "terminalId": "12345678",    "entryMode": "contact",    "terminalCapability": 4,    "emv": {      "tags": "9F3303204000950500000000009F3704518823719F100706011103A000009F26081E1756ED0E2134E29F36020015820200009C01009F1A0208409A030006219F02060000000020005F2A0208409F0306000000000000",      "cardSequenceNumber": "01"    },    "trackData": ";4xxxxxxxxxxx1111=33121019761186800000?",    "pinBlockEncodingFormat": "0",    "encryptedPin": "5D5FA5E5B448F33B",    "encryptedKeySerialNumber": "FFFF1B1D140000200001"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/7012752230096541604951/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7012752230096541604951"    }  },  "clientReferenceInformation": {    "code": "ABC123"  },  "id": "7012752230096541604951",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "202.00",      "currency": "usd"    }  },  "processingInformation": {    "reconciliationId": "7012752230096541604951"  },  "processorInformation": {    "systemTraceAuditNumber": "141924",    "routing": {      "network": "0000"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456141924",    "transactionId": "000000000000000",    "responseCode": "00"  },  "reconciliationId": "7012752230096541604951",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-11-29T16:27:03Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.emv.cardSequenceNumberRequired only when the card has a sequence number configured on the EMV chip.
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.encryptedKeySerialNumber—
pointOfSaleInformation.encryptedPin—
pointOfSaleInformation.entryModeSet the value to contact.
pointOfSaleInformation.pinBlockEncodingFormatSet the value to 1.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026